> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/webhooks/patch-webhook-v-3-webhooks-id-patch/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # Update a webhook PATCH https://api.ntropy.com/v3/webhooks/{id} Content-Type: application/json Update a webhook. Fields that aren't specified in the body will remain unchanged Reference: https://docs.ntropy.com/documentation/api/webhooks/patch-webhook-v-3-webhooks-id-patch ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects a WebhookPatch. - `url` (string, optional, nullable) — The URL of the webhook - `events` (list of enum, optional, nullable) — A list of events that this webhook subscribes to - Allowed values: `reports.resolved`, `reports.rejected`, `reports.pending`, `bank_statements.completed`, `bank_statements.error`, `batches.completed`, `batches.error` - `token` (string, optional, nullable) — A secret string used to authenticate the webhook. This value will be included in the `X-Ntropy-Token` header when sending requests to the webhook - `enabled` (boolean, optional, nullable) — Whether the webhook is enabled or not. ## Response ### 200 Successful Response - `url` (string, required) — The URL of the webhook - `events` (list of enum, required) — A list of events that this webhook subscribes to - Allowed values: `reports.resolved`, `reports.rejected`, `reports.pending`, `bank_statements.completed`, `bank_statements.error`, `batches.completed`, `batches.error` - `id` (string, required) — A generated unique identifier for the webhook - `created_at` (datetime, required) — The date and time when the webhook was created. - `enabled` (boolean, required) — Whether the webhook is enabled or not. - `token` (string, optional, nullable) — A secret string used to authenticate the webhook. This value will be included in the `X-Ntropy-Token` header when sending requests to the webhook ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json {} ``` **Response** ```json { "url": "https://example.com:5689/", "events": [ "batches.completed", "batches.error" ], "id": "e94a150d-40af-4e96-8aa7-2948a6b4d8d3", "created_at": "2024-10-03T02:53:30.167953", "enabled": true, "token": "hunter2" } ``` **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK("cd1H...Wmhl") wh = sdk.webhooks.patch( "e94a150d-40af-4e96-8aa7-2948a6b4d8d3", events=["batches.completed", "batches.error"], enabled=False, ) ``` ```javascript const url = 'https://api.ntropy.com/v3/webhooks/id'; const options = { method: 'PATCH', headers: {'X-Api-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/webhooks/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("X-Api-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/webhooks/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["X-Api-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.ntropy.com/v3/webhooks/id") .header("X-Api-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.ntropy.com/v3/webhooks/id', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/webhooks/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("X-Api-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-Api-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/webhooks/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```